Перейти к содержимому

database_api.find_votes ​

Purpose ​

Возвращает все голоса (vote) за заданный пост (post). Параметры: author:string; permlink:string

author (string)permlink (string)
"steemit""firstpost"Запрос голосов за контент со слагом (slug) @steemit/firstpost
"alice""a-post-by-alice"Запрос голосов за контент со слагом (slug) @alice/a-post-by-alice

Parameters ​

PARAMETERS
json
{
  "author": "",
  "permlink": ""
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_votes",
    "params": {
      "author": "steemit",
      "permlink": "firstpost"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.find_votes",
    "params": {
      "author": "alice",
      "permlink": "a-post-by-alice"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "votes": [
    {
      "id": 546191,
      "voter": "anonymous",
      "author": "temp",
      "permlink": "test1",
      "weight": "1799071158042053295",
      "rshares": "432321664017",
      "vote_percent": 10000,
      "last_update": "2016-07-18T09:25:51",
      "num_changes": -1
    },
    {
      "id": 546192,
      "voter": "xeroc",
      "author": "temp",
      "permlink": "test1",
      "weight": "1763636725870082814",
      "rshares": "525258058869",
      "vote_percent": 10000,
      "last_update": "2016-07-18T09:25:54",
      "num_changes": -1
    }
  ]
}

Expected curl responses ​

EXPECTED RESPONSES
text
Could not find comment alice/a-post-by-alice